Offers: AMD Flows

Rules that detect if a call was answered by a machine or a human and change how the call is routed accordingly.

GET /offer_amd_flows

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_amd_flows

List AMD Flow records.

Returns the AMD Flows configured on an offer, which define what happens when answering-machine detection classifies a call as a machine or a human.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • offer_id
  • name
  • sortable_order
  • description
  • record_token_filter_id
  • token_value_ids
  • ai_classification_matches
  • ai_speech_text_matches
  • apply_detected_type
  • record_token_filter_data_count
  • record_token_filter_data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /offer_amd_flows/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_amd_flows/new

Build AMD Flow with defaults.

Returns an AMD Flow built with default attributes for previewing available fields. It is not saved.

Params

Param name Description
offer_id
Optional Blank value allowed

The offer this AMD Flow belongs to.

description
Optional Blank value allowed

A description of the AMD Flow.

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Only apply this AMD Flow to calls matching these filters.

token_value_ids
Optional Blank value allowed

Only apply this AMD Flow to calls matching these tokens.

  • Must be a decimal number.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
ai_classification_matches
Optional Blank value allowed

If Classification Matches

  • Must be a String

ai_speech_text_matches
Optional Blank value allowed

Or if Speech To Text Matches

  • Must be a String

apply_detected_type
Optional Blank value allowed

Then Apply This Behaviour. When a machine is detected agents will not be connected. When a human is detected, agents will prioritize connecting to the call.

  • Must be a String

POST /offer_amd_flows

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_amd_flows

Create AMD Flow.

Creates an AMD Flow on an offer that matches a detected AMD classification or speech-to-text result and applies a resulting behavior, such as prioritizing agent connection for a detected human or skipping it for a detected machine.

Params

Param name Description
offer_id
Optional Blank value allowed

The offer this AMD Flow belongs to.

description
Optional Blank value allowed

A description of the AMD Flow.

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Only apply this AMD Flow to calls matching these filters.

token_value_ids
Optional Blank value allowed

Only apply this AMD Flow to calls matching these tokens.

  • Must be a decimal number.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
ai_classification_matches
Optional Blank value allowed

If Classification Matches

  • Must be a String

ai_speech_text_matches
Optional Blank value allowed

Or if Speech To Text Matches

  • Must be a String

apply_detected_type
Optional Blank value allowed

Then Apply This Behaviour. When a machine is detected agents will not be connected. When a human is detected, agents will prioritize connecting to the call.

  • Must be a String

GET /offer_amd_flows/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_amd_flows/:id

Get AMD Flow by id.

Returns a single AMD Flow by id, including its matching conditions and resulting behavior.

PUT /offer_amd_flows/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_amd_flows/:id

Update AMD Flow by id.

Updates an AMD Flow's matching conditions, offer, or resulting behavior.

Params

Param name Description
offer_id
Optional Blank value allowed

The offer this AMD Flow belongs to.

description
Optional Blank value allowed

A description of the AMD Flow.

  • Must be a String

record_token_filter_id
Optional Blank value allowed

Only apply this AMD Flow to calls matching these filters.

token_value_ids
Optional Blank value allowed

Only apply this AMD Flow to calls matching these tokens.

  • Must be a decimal number.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
ai_classification_matches
Optional Blank value allowed

If Classification Matches

  • Must be a String

ai_speech_text_matches
Optional Blank value allowed

Or if Speech To Text Matches

  • Must be a String

apply_detected_type
Optional Blank value allowed

Then Apply This Behaviour. When a machine is detected agents will not be connected. When a human is detected, agents will prioritize connecting to the call.

  • Must be a String

DELETE /offer_amd_flows/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_amd_flows/:id

Destroy AMD Flow by id.

Permanently deletes an AMD Flow, so it no longer affects answering-machine detection outcomes on its offer.